TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Namespace List
- Namespace Members

Classes | Functions
Package TIBCO.EMS.UFO

## Classes
class | BytesMessage
| A BytesMessage object is used to send a message containing a stream of uninterpreted bytes. It inherits from the Message interface and adds a bytes message body. The receiver of the message supplies the interpretation of the bytes. More...
class | Connection
| A Connection object is a client's active connection to TIBCO EMS Server. More...
class | ConnectionFactory
| Administered object for creating server connections. More...
class | ConnectionFailureException
| This exception is thrown when an invocation of JMS method is failed due to connection failure in callback. More...
class | Destination
| A Destination object encapsulates a TIBCO EMS specific address. More...
interface | ICompletionListener
| Notifies the application an asynchronous send has completed. More...
interface | IMessageListener
| Asynchronously process an arriving message. More...
class | LookupContext
| Search for and perform queries on administered objects in the EMS server More...
class | LookupContextFactory
| Create ILookupContext objects More...
class | MapMessage
| A MapMessage object is used to send a set of name-value pairs. The names are String objects, and the values are primitive data types in the .NET programming language. The names must have a value that is not null, and not an empty string. The entries can be accessed sequentially or randomly by name. The order of the entries is undefined. MapMessage inherits from the Message interface and adds a message body that contains a Map. More...
class | Message
| Messages carry information among EMS client programs. More...
class | EMSMessageEventArgs
| EMSMessageHandler event argument, used in TIBCO.EMS.MessageConsumer.MessageHandler. More...
class | MessageConsumer
| A client uses a MessageConsumer object to receive messages from a destination. More...
class | MessageProducer
| Defines the root behavior of all message producers. More...
class | ObjectMessage
| An ObjectMessage object is used to send a message that contains a serializable object. More...
class | Queue
| A Queue object encapsulates a TIBCO EMS specific queue name. More...
class | QueueBrowser
| Enumerate the messages in a queue without consuming them More...
class | QueueConnection
| A QueueConnection object is an active connection to a point-to-point TIBCO EMS Server. More...
class | QueueConnectionFactory
| Backward compatibility. Administered object for creating queue connections. More...
class | QueueReceiver
| A client uses a QueueReceiver object to receive messages that have been delivered to a queue. More...
class | QueueSender
| A client uses a QueueSender object to send messages to a queue. More...
class | QueueSession
| Session restricted to queues More...
class | Session
| A Session object is a single-threaded context for producing and consuming messages. More...
class | StreamMessage
| A StreamMessage object is used to send a stream of primitive types in the .NET programming language. It is filled and read sequentially. It inherits from the Message interface and adds a stream message body. More...
class | TemporaryQueue
| A TemporaryQueue object is a unique Queue object created for the duration of a Connection. It is a system-defined queue that can be consumed only by the Connection that created it. More...
class | TemporaryTopic
| A TemporaryTopic object is a unique Topic object created for the duration of a Connection. More...
class | TextMessage
| A TextMessage object is used to send a message containing a String. It inherits from the Message interface and adds a text message body. More...
class | Topic
| A Topic object encapsulates a TIBCO EMS specific topic name. More...
class | TopicConnection
| A TopicConnection object is an active connection to a publish/subscribe TIBCO EMS Server. More...
class | TopicConnectionFactory
| Backward compatibility. Administered object for creating topic connections. More...
class | TopicPublisher
| A client uses a TopicPublisher object to publish messages on a topic. A TopicPublisher object is the publish-subscribe form of a message producer. More...
class | TopicSession
| A TopicSession object provides methods for creating TopicPublisher, TopicSubscriber. More...
class | TopicSubscriber
| A client uses a TopicSubscriber object to receive messages that have been published to a topic. More...

## Functions
delegate void | EMSMessageHandler (object sender, EMSMessageEventArgs args)
| Delegate declaration for message event handler More...

## Function Documentation

delegate void TIBCO.EMS.UFO.EMSMessageHandler | ( | object | sender,
|  | EMSMessageEventArgs | args
| ) |  |

Delegate declaration for message event handler

This delegate provides an asynchronous pathway for receiving messages. The program implements this delegate, and registers it with a MessageConsumer. When a message arrives, the client library raises an event. This delegate processes the event, which presents the message.

The EMSMessageHandler receives messages in a .NET programming idiom. In contrast, IMessageListener mimics the way in which JMS provides similar functionality in a Java programming idiom. Programmers may select either idiom - but not both (which would cause duplicate message processing, with undefined behavior).

Example Message Event Handler:

...
consumer.MessageHandler += new EMSMessageHandler(handleMsg);
...
private void handleMsg(object sender, EMSMessageEventArgs arg)
{
Message m = arg.Message;
Console.WriteLine("Received message: " + m);
...
}
...

Serialization

In compliance with the JMS specification, sessions distribute messages to listeners and event handler delegates in serial (non-concurrent) fashion.

Parameters

  sender | The source of the event. It can be either the MessageConsumer object or the Session object depending on to which object is the message handler registered.
  args | The event argument, EMSMessageEventArgs